Skip to main content
`Ctrl`+`K`

# PetscSFWindowGetInfo

Get the `MPI_Info` handle used for windows allocation

## Synopsis

    #include "petscsf.h"
    PetscErrorCode PetscSFWindowGetInfo(PetscSF sf, MPI_Info *info)

Logically Collective

## Input Parameter

- sf - star forest for communication

## Output Parameter

- info - `MPI_Info` handle

## Note

If `PetscSFWindowSetInfo()` has not be called, this returns `MPI_INFO_NULL`

## See Also

`PetscSF`, `PETSCSFWINDOW`, `PetscSFSetFromOptions()`, `PetscSFWindowSetInfo()`

## Level

advanced

## Location

src/vec/is/sf/impls/window/sfwindow.c

## Implementations

PetscSFWindowGetInfo_Window() in src/vec/is/sf/impls/window/sfwindow.c

Index of all PetscSF routines
Table of Contents for all manual pages
Index of all manual pages